### Function

# Gimp fonts_popup

#### Declaration [src]

    gboolean
    gimp_fonts_popup (
      const gchar* font_callback,
      const gchar* popup_title,
      const gchar* initial_font
    )

#### Description [src]

Invokes the Gimp font selection.

This procedure opens the font selection dialog.

#### Parameters

`font_callback` | `const gchar*`
| The callback PDB proc to call when font selection is made.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`popup_title` | `const gchar*`
| Title of the font selection dialog.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`initial_font` | `const gchar*`
| The name of the font to set as the first selected.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `gboolean`
| TRUE on success.